### Virtual Method

# Gcr SecretExchange encrypt_transport_data

#### Declaration [src]

    gboolean
    encrypt_transport_data (
      GcrSecretExchange* exchange,
      GckAllocator allocator,
      const guchar* plain_text,
      gsize n_plain_text,
      guchar** parameter,
      gsize* n_parameter,
      guchar** cipher_text,
      gsize* n_cipher_text
    )

#### Description

No description available.

#### Parameters

`allocator` | `GckAllocator`
| No description available.
`plain_text` | `const guchar*`
| No description available.
| The data is owned by the caller of the function.
`n_plain_text` | `gsize`
| No description available.
`parameter` | `guchar**`
| No description available.
| The data is owned by the caller of the function.
`n_parameter` | `gsize*`
| No description available.
| The data is owned by the caller of the function.
`cipher_text` | `guchar**`
| No description available.
| The data is owned by the caller of the function.
`n_cipher_text` | `gsize*`
| No description available.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| No description available.